com.smartgwt.client.types

## Enum NavigationDirection

- java.lang.Object
- - java.lang.Enum<NavigationDirection>
  - - com.smartgwt.client.types.NavigationDirection

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<NavigationDirection>

      public enum NavigationDirection
      extends java.lang.Enum<NavigationDirection>
      implements ValueEnum

  Navigation direction.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACK` Back
    `FORWARD` Forward
    `NONE` none

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static NavigationDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NavigationDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BACK

          public static final NavigationDirection BACK

      Back

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "back".

    - #### FORWARD

          public static final NavigationDirection FORWARD

      Forward

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "forward".

    - #### NONE

          public static final NavigationDirection NONE

      none

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### Method Detail

    - #### values

          public static NavigationDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NavigationDirection c : NavigationDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NavigationDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`